Image editor
Create a named OpenPost Image Editor design checkpoint
POST
/image-editor/designs/{id}/revisionsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/image-editor/designs/string/revisions" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 1, "name": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ImageEditorRevisionSummary.json", "actor": { "is_current_user": true, "name": "string" }, "created_at": "string", "expires_at": "string", "id": "string", "kind": "string", "name": "string", "revision": 0}